import { IComponentOptions, IComponentComposer } from "./ComponentComposer";
import { IResourceDescription, IResourceComposer } from "./ResourceComposer";
export interface IComposer {
    registerComponent: (componentOptions: IComponentOptions) => IComponentComposer;
    registerResource: (resourceDescription: IResourceDescription) => IResourceComposer;
}
export declare class Composer {
    /** Do not instantiate, use static members instead of constructor / new Composer().
        E.g. Composer.registerComponent()
    */
    private constructor();
    static registerManifest: (manifestId: string) => IComposer;
    static openResourceManifest: (manifestId: string) => IComposer;
}
