import { IClientManifest, IClientManifestProvider, ILoadByUrlRule, IManifest, IManifestLoadableByUrl } from "./ManifestRegistry";
import { IResourceDescription, IOrderOptions } from "./ResourceComposer";
export interface IResourceManifest extends IClientManifest, IManifestLoadableByUrl {
}
export declare class ResourceRegistry implements IClientManifestProvider {
    private static ResourceRegistrations;
    static registerResource: (manifest: IManifest, resourceDescription: IResourceDescription) => void;
    static addOrdering: (manifest: IManifest, orderOption: IOrderOptions) => void;
    static loadByUrl: (manifest: IManifest, loadRule: ILoadByUrlRule) => void;
    static getRegisteredResourceBundles: (pathJoiner: (path1: any, path2: any) => string) => {
        [key: string]: string[];
    };
    getClientManifests: (currentExtensionId: string) => IResourceManifest[];
    clearState: () => void;
    private static ensureCorrectManifest;
}
